:root {
    --navbar: #fff0cd;
    --navText: #152e57;
    --navhover: #e1100b;
}


* {
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    scroll-behavior: smooth;
}

body {
    background-color: rgb(235, 232, 226);
    font-family: Arial,
        Helvetica,
        sans-serif;
    margin: 0;
}

img {
    width: 100%;
    height: auto;
}

p {
    font-size: 16px;
    letter-spacing: 1.6px;
}

a {
    text-decoration: none;
}

section {
    width: 80%;
    padding: 50px 0px;
    margin: auto;
}

#consultation {
    text-align: center;
    width: 100%;
}

.planArea .title {
    font-size: 20px;
    font-weight: 600;

}

.planArea a img:hover {
    opacity: 0.8;
}

h1 {
    font-weight: 1200;
    font-size: 36px;
    color: var(--navText);
    text-align: center;
}

.bg {
    /* The image used */
    background-image: url("img/about2.jpg");
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-position: center center;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    z-index: -10;
}

.bgcover {
    background-color: rgba(240, 240, 240, 0.877);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
}

/* 導覽列 */

.nav-container {
    width: 100%;
    background-color: var(--navbar);
    z-index: 10;
    position: fixed;
    box-shadow: 0px 3px 5px rgba(0, 0, 0, 0.265);
}

.navbar {
    display: grid;
    grid-template-columns: 0.2fr auto 1fr;
    align-items: center;
    width: 95%;
    max-width: 1720px;
    margin: 0 auto;
}



#navbar-logo {
    width: 100%;
    justify-self: start;
    margin-left: 5px;
    cursor: pointer;
}

.nav-menu {
    display: grid;
    grid-template-columns: repeat(6, auto);
    list-style: none;
    text-align: center;
    width: 100%;
    justify-self: end;
}

.little {
    font-size: 14px !important;
    letter-spacing: 0.8px;
    font-weight: 600;
}

.little1 {
    font-size: 20px !important;
    letter-spacing: 0.8px;
    font-weight: 600;
}

.nav-links {
    font-size: 18px;
    letter-spacing: 1.8px;
    color: var(--navText);
    font-weight: 900;
}

.nav-links:hover {
    color: var(--navhover);
    transition: all 0.2s ease-out;
}

.menu-toggle .bar {
    width: 25px;
    height: 3px;
    margin: 5px auto;
    transition: all 0.3s ease-in-out;
    background: #152e57;
}

/* banner幻燈片 */

.swiper {
    padding-top: 88px;
    width: 100%;
    height: 100%;
    /* margin-bottom: 50px; */
}

#product .swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;

    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
    overflow: initial;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.btn_group {

    display: flex;

    flex-wrap: wrap;



}

.btn_group {
    margin: 50px auto;
    justify-content: center;
}

/* 最新消息 */

.btn_group a {

    margin: auto;
}

.btn_group a {

    padding: 5px;

    border: 2px solid #152e57;

    color: #152e57;

    font-size: 18px;

    margin-top: 20px;

    width: 30%;

    text-align: center;

    transition: 0.5s;

}

.btn_group a:hover {

    background-color: #152e57;

    color: #fff;

}

.btn_more_position {
    position: relative;
}

.btn_more {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.btn_more p {
    border: 1px solid black;
    font-size: large;
    font-weight: bold;
    padding: 0.5em;
    background-color: white;
}


.newsArea {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.newsItem {
    width: 46%;
    margin: 2%;
}

.accordion {
    color: var(--navText);
    background-color: #ddf2e9;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    border: none;
    text-align: center;
    outline: none;
    font-size: 18px;
    font-weight: 600;
    transition: 0.4s;
    transition: all 0.5s ease-out;
}

#news .active,
.accordion:hover {
    background-color: rgba(255, 255, 255, 0);
}

.panel {
    padding: 0 20px;
    background-color: rgba(255, 255, 255, 0.199);
    max-height: 0;
    overflow: hidden;
    transition: all 0.5s ease-out;
}

.panel p {
    font-weight: 900;
    font-size: 18px;
    letter-spacing: 1.8px;
    line-height: 1.8;
    text-align: justify;
    font-weight: 600;
}

.panel ol li {
    font-size: 14px;
    letter-spacing: 1.8px;
    line-height: 1.8;
    margin-left: 20px;
    margin-bottom: 15px;
    opacity: 0.8;
}

/* 關於我們 */

#about {
    width: 100%;
}

.aboutTitle {
    background-image: url("img/about2.jpg");
    /* background-attachment: fixed; */
    top: 0;
    left: 0;
    width: 100%;
    height: 650px;
    background-position: center center;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    z-index: -10;
    position: relative;
}

.aboutTitle p {
    display: inline-block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    background-color: rgba(213, 213, 213, 0.582);
    color: rgb(64, 64, 64);
    font-size: 22px;
    font-weight: 900;
    letter-spacing: 10px;
    text-align: center;
}

.aboutText {
    background-color: rgba(255, 255, 255, 0.63);
    padding: 60px 0px;
}

.aboutText .title {
    text-align: center;
    font-size: 36px;
    font-weight: 600;
    letter-spacing: 3px;
    margin-bottom: 30px;
    color: var(--navText);
}

.aboutText p {
    font-weight: 600;
    font-size: 18px;
    width: 70%;
    margin: 0 auto;
    margin-top: 0px;
    letter-spacing: 1.8px;
    line-height: 2;
}

/* 住宿規劃 */
.tabs-container {
    font-family: "Roboto", sans-serif;
    max-width: 1200px;
    min-height: 400px;
    margin: 30px auto;
    display: flex;
    box-shadow: 0 4px 20px -8px rgba(0, 0, 0, 0.313);
}

.tabs-container .tabs {
    width: 300px;
    background-color: #000;
    color: rgb(240, 240, 240);
    text-transform: uppercase;
    text-align: center;
}

.tabs-container .tabs .tab {
    padding: 24px 32px;
    background-color: #222;
    cursor: pointer;
    font-weight: bold;
    transition: all 0.5s ease-out;
}

.tabs-container .tabs .active {
    background-color: rgb(240, 240, 240);
    color: #222;
}

.tabs-container .content-container {
    width: 100%;
    background-color: rgb(240, 240, 240);
}

.tabs-container .content-container .content {
    display: none;
    padding: 50px;
}

.tabs-container .content-container .content.active {
    height: 400px;
    display: block;
    background-color: rgb(240, 240, 240);
    overflow: scroll;
    overflow-x: hidden;
}

.content .swiper {
    padding-top: 0;
}

.content p {
    text-align: center;
    font-weight: 900;
}

.content .title {
    margin: 0;
    font-size: 20px;
    font-weight: 900;
}

.content li {
    line-height: 2;
    font-size: 16px;
    font-weight: 400;
    margin-left: 20px;
}

/* 房型介紹 */


#photos img {

    object-fit: cover;
    transition: all 0.3s ease;
}

#photos img:hover {
    box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.347);
}

#photos .content2 img {
    height: 500px;
}

#photos p {
    font-size: 24px;
    line-height: 1.8;
    letter-spacing: 1.8px;
    padding: 10px;
}

#photos .title {
    font-size: 50px;
    word-break: break-all;
    font-weight: 900;
}

#photos .title2 {
    font-size: 28px;
    font-weight: 900;
}

#photos .title3 {
    padding: 0px 10px;
    font-size: 18px;
    font-weight: 600;
    opacity: 0.7;
}

#photos .row {
    margin: 8px -16px;
}

#photos .row,
#photos .row>.column {
    padding: 8px;
}

#photos .column {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    margin: auto;
}

#photos .row:after {
    content: "";
    display: table;
    clear: both;
}

#photos .content {
    width: 47%;
    margin: 1.5%;
}

/* Content */
.content {
    background-color: white;
    padding: 10px;
}

/* 精選照片 */

/* #photos {
    width: 80%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.photoItem {
    position: relative;
    width: 24%;
    margin-bottom: 20px;
}

#photos img {
    display: block;
    box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.272);
    border-radius: 5px;
}

#photos img:hover {
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.238);
    transition: all 0.5s ease;
}

.overlay {
    position: absolute;
    bottom: 0;
    background: rgba(191, 191, 191, 0.789);
    color: #f1f1f1;
    width: 100%;
    transition: .5s ease;
    opacity: 0;
    color: white;
    font-size: 20px;
    padding: 20px;
    text-align: center;
    letter-spacing: 1.8px;
}

.photoItem:hover .overlay {
    opacity: 1;
} */

/* 聯絡我們 */

#contact {
    background-color: rgba(0, 0, 0, 0);
    padding: 100px 150px;
    width: 100%;
    display: flex;
}

.contactText {
    background-color: rgb(105, 60, 0);
    padding: 20px 30px;
    width: 35%;
}

.contactText .title {
    font-size: 24px;
    font-weight: 900;
    letter-spacing: 1.8px;
    margin-bottom: 5px;
}

.contactText hr {
    width: 58%;
    color: white;
    background-color: white;
    float: left;
}

.contactText p {
    color: white;
    font-size: 17px;
    letter-spacing: 1.8px;
}

.map {
    /* height: 350px; */
    width: 65%;
}

iframe {
    width: 100%;
    height: 100%;
}

/* 社群媒體icon */

#social {
    position: sticky;
    bottom: 0;
    left: 0;
    width: 100%;
    margin-top: 30px;
}

#social ul {
    display: flex;
    margin: 0px;
}

#social ul li {
    filter: brightness(1);
    border-bottom: none;
    margin-right: 20px;
    display: block;
}

#social ul li a {
    opacity: 0.7;
    width: 25px;
    height: 25px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100%;
    display: block;
}

#social .ig {
    background-image: url(https://www.shop1688.com.tw/sys/ig.svg);
}

#social .fb {
    background-image: url(https://www.shop1688.com.tw/sys/fb.svg);
}

#social .line {
    background-image: url(https://www.shop1688.com.tw/sys/line.svg);
}

#social .pchome {
    background-image: url(https://www.shop1688.com.tw/sys/pchome.svg);
}

#social .pchomeStore {
    background-image: url(https://www.shop1688.com.tw/sys/pchomeStore.svg);
}

#social .reten {
    background-image: url(https://www.shop1688.com.tw/sys/reten.svg);
}

#social .shopee {
    background-image: url(https://www.shop1688.com.tw/sys/shopee.svg);
}

#social .tumblr {
    background-image: url(https://www.shop1688.com.tw/sys/tumblr.svg);
}

#social .web {
    background-image: url(https://www.shop1688.com.tw/sys/web.svg);
}

#social .yahoo {
    background-image: url(https://www.shop1688.com.tw/sys/yahoo.svg);
}

#social .youtube {
    background-image: url(https://www.shop1688.com.tw/sys/youtube.svg);
}

#social .tag {
    background-image: url(https://www.shop1688.com.tw/sys/tagBorder.svg);
}

#social .momo {
    background-image: url(https://www.shop1688.com.tw/sys/momo.svg);
}

#social .rakuten {
    background-image: url(https://www.shop1688.com.tw/sys/rakuten.svg);
}

#social .pixnet {
    background-image: url(https://www.shop1688.com.tw/sys/pixnet.svg);
}

#social .bandq {
    background-image: url(https://www.shop1688.com.tw/sys/bandq.svg);
}

#social .taobao {
    background-image: url(https://www.shop1688.com.tw/sys/taobao.svg);
}

#social .books {
    background-image: url(https://www.shop1688.com.tw/sys/books.svg);
}

#social .gomaji {
    background-image: url(https://www.shop1688.com.tw/sys/gomaji.svg);
}

#social .foodpanda {
    background-image: url(https://www.shop1688.com.tw/sys/foodpanda.svg);
}

#social .top {
    background-image: url(https://www.shop1688.com.tw/sys/top.svg);
    transition: 0.5s;
}

.copyright {
    background-color: rgba(221, 221, 221, 0);
}

.copyright p {
    text-align: center;
    font-size: 12px;
    margin: 5px 0px;
    color: rgb(0, 0, 0);
}

#ourPrograms .proArea {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 50px 0px;
}

#ourPrograms .projectItem {
    width: 45%
}

#ourPrograms .title {
    margin: auto;
    text-align: center;
}

#ourPrograms .title {
    font-size: 24px;
    font-weight: 700;
    color: var(--navText);
    /* margin-bottom: 10px; */
}

#ourPrograms hr {
    height: 1.5px;
    background-color: rgba(34, 34, 34, 0.733);
    border: 0px;
}

#ourPrograms p {
    font-weight: 600;
    font-size: 18px;
    letter-spacing: 1.8px;
    line-height: 2;
    text-align: justify;
}

@media screen and (max-width: 900px) {
    .nav-menu {
        width: 90%;
    }

    #contact {
        padding: 100px 80px;
    }

    .contactText p {
        font-size: 12px;
    }

    .contactText {
        width: 60%;
    }

    .map {
        width: 60%;
    }

}

@media screen and (max-width: 600px) {

    .btn_a {
        font-size: 18px;
    }

    section {
        padding: 40px 0px;
    }

    .swiper {
        padding-top: 80px;
        height: 100%;
    }

    .navbar {
        height: 80px;
    }

    .nav-container {
        position: fixed;
    }

    .nav-menu {
        display: grid;
        grid-template-columns: auto;
        background: var(--navbar);
        margin: 0;
        width: 100%;
        position: absolute;
        top: 80px;
        left: -100%;
        opacity: 0;
        transition: all 0.5s ease;
    }


    #navbar-logo {
        width: 300%;
        margin-left: 70px;
    }

    .nav-menu.active {
        background: var(--navbar);
        left: 0;
        opacity: 1;
        transition: all 0.5s ease;
    }

    .nav-links {
        margin-bottom: 30px;
        text-align: center;
        /* line-height: 60px; */
        width: 100%;
        display: table;
    }

    .nav-links:hover {
        background-color: var(--navhover);
        color: white;
        transition: all 0.4s ease-out;
    }

    .navbar {
        width: 100%;
    }

    #mobile-menu {
        position: absolute;
        top: 20%;
        right: 5%;
        transform: translate(5%, 20%);
    }

    .menu-toggle .bar {
        display: block;
        cursor: pointer;
    }

    .menu-toggle:hover {
        cursor: pointer;
    }

    #mobile-menu.is-active .bar:nth-child(2) {
        opacity: 0;
    }

    #mobile-menu.is-active .bar:nth-child(1) {
        transform: translateY(11px) rotate(45deg);
    }

    #mobile-menu.is-active .bar:nth-child(3) {
        transform: translateY(-5px) rotate(-45deg);
    }

    .photoItem {
        width: 100%;
    }

    .aboutTitle {
        height: 300px;
    }

    .aboutTitle p {
        font-size: 20px;
        width: 70%;
        text-align: center;
    }


    .newsArea {
        flex-wrap: wrap;
    }

    .newsItem {
        width: 100%;
        margin-bottom: 30px;
    }

    .tabs-container .tabs {
        width: 100%;
    }

    .tabs-container {
        flex-direction: column;
    }

    .tabs-container .content-container .content.active {
        height: 300px;
    }

    .tabs-container .content-container .content {
        padding: 20px;
    }

    .content li {
        font-size: 14px;
    }

    #photos p {
        font-size: 14px;
        padding: 0px;
    }

    #photos .title2 {
        font-size: 24px;
    }

    #photos .column {
        width: 100%;
        margin-bottom: 30px;
    }


    #photos .content {
        width: 70%;
        margin: auto;
        margin-bottom: 50px;
    }

    #photos .title3 {
        font-size: 16px;
        letter-spacing: 1.5px;
    }

    #photos .content2 img {
        height: 300px;
    }

    #ourPrograms .proArea {
        flex-wrap: wrap;
        margin: 50px 0px;
    }

    #ourPrograms .projectItem {
        width: 100%;
    }

    #ourPrograms .swiper {
        padding-top: 0px;
    }

    #ourPrograms .title {
        font-size: 16px;
    }

    #contact {
        padding: 60px 30px;
        flex-wrap: wrap;
    }

    .contactText {
        width: 100%;
        padding: 25px 15px;
    }

    .map {
        width: 100%;
    }

    .contactText .title {
        margin: 5px 0px;
    }

    h1 {
        font-size: 30px;
    }

    .aboutText .title {
        font-size: 30px;
    }

    .contactText hr {
        width: 70%;
    }
}